<?
include_once("_common.php");

// 不使用echo "汉字"的原因是因为Ajax中 euc_kr及gb2312等亚太语言判断有误
// 所以使用echo  Request 使用 Javascript 显示

if (preg_match("/[^0-9a-z_]+/i", $reg_mb_id)) {
    echo "110"; // 包含非法字符
} else if (strlen($reg_mb_id) < 3) {
    echo "120"; // 小于3个字母
} else {
    $row = sql_fetch(" select count(*) as cnt from $g4[member_table] where mb_id = '$reg_mb_id' ");
    if ($row[cnt]) {
        echo "130"; // 用户名重复
    } else {
        if (preg_match("/[\,]?{$reg_mb_id}/i", $config[cf_prohibit_id]))
            echo "140"; // 禁止使用的用户名
        else
            echo "000"; // 正常
    }
}
?>